ViennaCL - The Vienna Computing Library 1.7.0 Free open-source GPU-accelerated linear algebra and solver library. |

Public Member Functions | Public Attributes
viennacl::device_specific::matrix_axpy_parameters_type Class Reference

`#include <matrix_axpy_template.hpp>`

Inheritance diagram for viennacl::device_specific::matrix_axpy_parameters_type:

List of all members.

## Public Member Functions

| matrix_axpy_parameters_type (unsigned int _simd_width, unsigned int _local_size_0, unsigned int _local_size_1, unsigned int _num_groups_0, unsigned int _num_groups_1, fetching_policy_type _fetching_policy)

## Public Attributes

unsigned int | num_groups_0
unsigned int | num_groups_1
fetching_policy_type | fetching_policy

## Detailed Description

Definition at line 44 of file matrix_axpy_template.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::matrix_axpy_parameters_type::matrix_axpy_parameters_type | ( | unsigned int | _simd_width,
|  | unsigned int | _local_size_0,
|  | unsigned int | _local_size_1,
|  | unsigned int | _num_groups_0,
|  | unsigned int | _num_groups_1,
|  | fetching_policy_type | _fetching_policy
| ) |  | `[inline]`

Definition at line 47 of file matrix_axpy_template.hpp.

## Member Data Documentation

fetching_policy_type viennacl::device_specific::matrix_axpy_parameters_type::fetching_policy

Definition at line 54 of file matrix_axpy_template.hpp.

unsigned int viennacl::device_specific::matrix_axpy_parameters_type::num_groups_0

Definition at line 52 of file matrix_axpy_template.hpp.

unsigned int viennacl::device_specific::matrix_axpy_parameters_type::num_groups_1

Definition at line 53 of file matrix_axpy_template.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/templates/matrix_axpy_template.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines